@import '../../../lib/scss/abstracts/variables';
@import '../../../lib/scss/abstracts/extends';


.components-wpez-blocks-button-group-sizes{

    &__wrapper{

        .components-button{
            &.is-button{
                color:$black;
            }
        }

        .components-button{
            &.is-button:first-child,
            &.is-button,
            &.is-button:last-child{
                border-radius: 3px;
            }

            &.is-button:focus,
            &.is-button.is-primary{
                @extend %primary
            }
        }

            &.btn-margin-right-xs{
                .is-button{
                    margin-right:0
                }
            }

            &.btn-margin-right-sm{
                .is-button{
                    margin-right:5px
                }
            }

            &.btn-margin-right-md{

                .is-button{
                    margin-right:10px
                }

            }

            &.btn-margin-right-lg{

                .is-button{
                    margin-right:15px
                }

            }
            .components-button{
                &.is-button:last-child{
                    margin-right: 0
                }
            }

            &.btn-padding-sm{

                .components-button.is-tertiary{
                    padding: 0 6px
                }

            }

            &.btn-padding-lg{

                .components-button.is-tertiary{
                    padding: 0 15px
                }

            }
        }
    }
